public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/genshi/
Date: Thu, 21 Apr 2022 20:48:19 +0000 (UTC)	[thread overview]
Message-ID: <1650574095.22bc5024622e0123446d70676c7f98c7b8e91e8f.mgorny@gentoo> (raw)

commit:     22bc5024622e0123446d70676c7f98c7b8e91e8f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 21 20:33:23 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 21 20:48:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22bc5024

dev-python/genshi: Bump to 0.7.7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/genshi/Manifest            |  1 +
 dev-python/genshi/genshi-0.7.7.ebuild | 41 +++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/genshi/Manifest b/dev-python/genshi/Manifest
index dbc2ad197317..1be4dfeb37fd 100644
--- a/dev-python/genshi/Manifest
+++ b/dev-python/genshi/Manifest
@@ -1 +1,2 @@
 DIST Genshi-0.7.6.tar.gz 268913 BLAKE2B c54930023c4cd45e24f44baa62f3cc3fe887c5bfd5feb9f7c694cea9bd500cd8c0cea0ed7a60035fb58de9b933199f54ada2a14edff9f5a1b1f63203d10ac7c8 SHA512 a05e82b2b1b9321153a202e5926a26795ebc7c56ee13b8c6da197007a00711efcc7f8ebfb759446c4c2cb99e7e92a6f689576f9ef1f766aa42e0dab86fd5e335
+DIST Genshi-0.7.7.tar.gz 267206 BLAKE2B 0bad4b26fbfda27572e78f87af6093c87d738ad6fdf2beea5e8b0b21b3f5245a4e239bbfbad63e71e73f6588e7cae97f2b3bc7295fa30ad7a203a7ceff7074c9 SHA512 b0a3dee68523292f0672a180c5f2cfbdf48205d82286359b9fac9f668cbc2806c649d1e158d6fb8ead5b1cc5cd44eefe9d1cd79077f96925b8d24dd8e746b40f

diff --git a/dev-python/genshi/genshi-0.7.7.ebuild b/dev-python/genshi/genshi-0.7.7.ebuild
new file mode 100644
index 000000000000..5b2d9b7bc0d6
--- /dev/null
+++ b/dev-python/genshi/genshi-0.7.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python toolkit for stream-based generation of output for the web"
+HOMEPAGE="https://genshi.edgewall.org/ https://pypi.org/project/Genshi/"
+SRC_URI="mirror://pypi/G/${PN^}/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+	test? (
+		dev-python/six[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	"${EPYTHON}" -m unittest -v genshi.tests.suite || die
+}
+
+python_install_all() {
+	if use doc; then
+		dodoc doc/*.txt
+	fi
+	if use examples; then
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2022-04-21 20:48 UTC|newest]

Thread overview: 37+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-21 20:48 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-06  8:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/genshi/ Michał Górny
2024-07-06  7:26 Arthur Zamarin
2024-07-06  6:51 Sam James
2024-07-06  6:15 Sam James
2024-06-29 14:47 Arthur Zamarin
2024-06-16  5:07 Michał Górny
2024-06-14 12:19 Michał Górny
2024-04-21 12:24 Michał Górny
2023-11-24 15:29 Michał Górny
2023-05-31 16:17 Michał Górny
2022-05-27 19:53 Michał Górny
2022-05-27 19:53 Michał Górny
2022-05-27  9:49 Jakov Smolić
2022-05-27  9:12 Jakov Smolić
2022-05-27  9:07 Jakov Smolić
2022-03-23 23:41 Marek Szuba
2022-03-16 23:53 Sam James
2022-03-15 11:36 Jakov Smolić
2022-03-15 11:36 Jakov Smolić
2022-02-09 19:45 Michał Górny
2021-07-12 22:19 Sam James
2021-07-12 22:17 Sam James
2021-03-15  8:52 Michał Górny
2021-03-15  3:50 Sam James
2021-03-14 16:16 Michał Górny
2021-03-14 16:16 Michał Górny
2021-02-12 16:20 Sam James
2020-08-22  9:15 Michał Górny
2020-07-09  9:51 Michał Górny
2020-07-09  9:51 Michał Górny
2020-07-09  8:16 Agostino Sarubbo
2020-04-29  4:12 Patrick McLean
2020-03-27 10:42 Michał Górny
2019-09-15 19:14 David Seifert
2017-04-22 13:52 Michał Górny
2017-04-22 13:52 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650574095.22bc5024622e0123446d70676c7f98c7b8e91e8f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox